with GNATCOM.Dispinterface;

package MSHTML.DispCPrintManagerTemplatePrinter_Object is

   type DispCPrintManagerTemplatePrinter_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure startPrint
     (This : DispCPrintManagerTemplatePrinter_Type);

   procedure drawPreviewPage
     (This      : DispCPrintManagerTemplatePrinter_Type;
      pElemDisp : GNATCOM.Types.VARIANT;
      nPage     : GNATCOM.Types.VARIANT;
      Free      : Boolean := True);

   procedure setPageCount
     (This  : DispCPrintManagerTemplatePrinter_Type;
      nPage : GNATCOM.Types.VARIANT;
      Free  : Boolean := True);

   procedure invalidatePreview
     (This : DispCPrintManagerTemplatePrinter_Type);

   function getPrintTaskOptionValue
     (This    : DispCPrintManagerTemplatePrinter_Type;
      bstrKey : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure endPrint
     (This : DispCPrintManagerTemplatePrinter_Type);

   function Get_showHeaderFooter
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function Get_shrinkToFit
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function Get_percentScale
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function startDoc
     (This      : DispCPrintManagerTemplatePrinter_Type;
      bstrTitle : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure stopDoc
     (This : DispCPrintManagerTemplatePrinter_Type);

   procedure printBlankPage
     (This : DispCPrintManagerTemplatePrinter_Type);

   procedure printPage
     (This      : DispCPrintManagerTemplatePrinter_Type;
      pElemDisp : GNATCOM.Types.VARIANT;
      Free      : Boolean := True);

   function ensurePrintDialogDefaults
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function showPrintDialog
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function showPageSetupDialog
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function printNonNative
     (This    : DispCPrintManagerTemplatePrinter_Type;
      pMarkup : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure printNonNativeFrames
     (This         : DispCPrintManagerTemplatePrinter_Type;
      pMarkup      : GNATCOM.Types.VARIANT;
      fActiveFrame : GNATCOM.Types.VARIANT;
      Free         : Boolean := True);

   procedure Put_framesetDocument
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_framesetDocument
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_frameActive
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_frameActive
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_frameAsShown
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_frameAsShown
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_selection
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_selection
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_selectedPages
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_selectedPages
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_currentPage
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_currentPage
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_currentPageAvail
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_currentPageAvail
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_collate
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_collate
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function Get_duplex
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_copies
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_copies
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_pageFrom
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_pageFrom
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_pageTo
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_pageTo
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_tableOfLinks
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_tableOfLinks
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_allLinkedDocuments
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_allLinkedDocuments
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_header
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_header
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_footer
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_footer
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_marginLeft
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_marginLeft
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_marginRight
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_marginRight
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_marginTop
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_marginTop
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_marginBottom
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_marginBottom
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pageWidth
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pageHeight
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function Get_unprintableLeft
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function Get_unprintableTop
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function Get_unprintableRight
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function Get_unprintableBottom
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure updatePageStatus
     (This : DispCPrintManagerTemplatePrinter_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   procedure Put_selectionEnabled
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_selectionEnabled
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_frameActiveEnabled
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_frameActiveEnabled
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_orientation
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_orientation
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_usePrinterCopyCollate
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_usePrinterCopyCollate
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function deviceSupports
     (This         : DispCPrintManagerTemplatePrinter_Type;
      bstrProperty : GNATCOM.Types.VARIANT;
      Free         : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_headerFooterFont
     (This : DispCPrintManagerTemplatePrinter_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_headerFooterFont
     (This : DispCPrintManagerTemplatePrinter_Type)
     return GNATCOM.Types.VARIANT;

   function getPageMarginTop
     (This       : DispCPrintManagerTemplatePrinter_Type;
      pageRule   : GNATCOM.Types.VARIANT;
      pageWidth  : GNATCOM.Types.VARIANT;
      pageHeight : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getPageMarginRight
     (This       : DispCPrintManagerTemplatePrinter_Type;
      pageRule   : GNATCOM.Types.VARIANT;
      pageWidth  : GNATCOM.Types.VARIANT;
      pageHeight : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getPageMarginBottom
     (This       : DispCPrintManagerTemplatePrinter_Type;
      pageRule   : GNATCOM.Types.VARIANT;
      pageWidth  : GNATCOM.Types.VARIANT;
      pageHeight : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getPageMarginLeft
     (This       : DispCPrintManagerTemplatePrinter_Type;
      pageRule   : GNATCOM.Types.VARIANT;
      pageWidth  : GNATCOM.Types.VARIANT;
      pageHeight : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getPageMarginTopImportant
     (This     : DispCPrintManagerTemplatePrinter_Type;
      pageRule : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getPageMarginRightImportant
     (This     : DispCPrintManagerTemplatePrinter_Type;
      pageRule : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getPageMarginBottomImportant
     (This     : DispCPrintManagerTemplatePrinter_Type;
      pageRule : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getPageMarginLeftImportant
     (This     : DispCPrintManagerTemplatePrinter_Type;
      pageRule : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispCPrintManagerTemplatePrinter_Object;

